/**
* Copyright Zendesk, Inc.
*
* Use of this source code is governed under the Apache License, Version 2.0
* found at http://www.apache.org/licenses/LICENSE-2.0.
*/
import React__default from 'react';
import SvgFilePdfStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-pdf-stroke.svg.js';
import SvgFileZipStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-zip-stroke.svg.js';
import SvgFileImageStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-image-stroke.svg.js';
import SvgFileDocumentStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-document-stroke.svg.js';
import SvgFileSpreadsheetStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-spreadsheet-stroke.svg.js';
import SvgFilePresentationStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-presentation-stroke.svg.js';
import SvgFileGenericStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-generic-stroke.svg.js';
import SvgCheckCircleStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/check-circle-stroke.svg.js';
import SvgFileErrorStroke$1 from '../../node_modules/@zendeskgarden/svg-icons/src/12/file-error-stroke.svg.js';
import SvgFilePdfStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-pdf-stroke.svg.js';
import SvgFileZipStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-zip-stroke.svg.js';
import SvgFileImageStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-image-stroke.svg.js';
import SvgFileDocumentStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-document-stroke.svg.js';
import SvgFileSpreadsheetStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-spreadsheet-stroke.svg.js';
import SvgFilePresentationStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-presentation-stroke.svg.js';
import SvgFileGenericStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-generic-stroke.svg.js';
import SvgCheckCircleStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/check-circle-stroke.svg.js';
import SvgFileErrorStroke from '../../node_modules/@zendeskgarden/svg-icons/src/16/file-error-stroke.svg.js';

const fileIconsDefault = {
  pdf: React__default.createElement(SvgFilePdfStroke, null),
  zip: React__default.createElement(SvgFileZipStroke, null),
  image: React__default.createElement(SvgFileImageStroke, null),
  document: React__default.createElement(SvgFileDocumentStroke, null),
  spreadsheet: React__default.createElement(SvgFileSpreadsheetStroke, null),
  presentation: React__default.createElement(SvgFilePresentationStroke, null),
  generic: React__default.createElement(SvgFileGenericStroke, null),
  success: React__default.createElement(SvgCheckCircleStroke, null),
  error: React__default.createElement(SvgFileErrorStroke, null)
};
const fileIconsCompact = {
  pdf: React__default.createElement(SvgFilePdfStroke$1, null),
  zip: React__default.createElement(SvgFileZipStroke$1, null),
  image: React__default.createElement(SvgFileImageStroke$1, null),
  document: React__default.createElement(SvgFileDocumentStroke$1, null),
  spreadsheet: React__default.createElement(SvgFileSpreadsheetStroke$1, null),
  presentation: React__default.createElement(SvgFilePresentationStroke$1, null),
  generic: React__default.createElement(SvgFileGenericStroke$1, null),
  success: React__default.createElement(SvgCheckCircleStroke$1, null),
  error: React__default.createElement(SvgFileErrorStroke$1, null)
};

export { fileIconsCompact, fileIconsDefault };
